IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[VWOTOMATIKTEKRAREDENHASTAISLEMLISTESI]') AND OBJECTPROPERTY(id,N'IsVIew') = 1)
BEGIN
    INSERT INTO SCRIPT_BACKUPS (SCRIPTNAME,SCRIPT,SCRIPTDATE) SELECT 'VWOTOMATIKTEKRAREDENHASTAISLEMLISTESI' SCRIPTNAME,OBJECT_DEFINITION(OBJECT_ID('VWOTOMATIKTEKRAREDENHASTAISLEMLISTESI')) AS SCRIPT,GETDATE() AS SCRIPTDATE
    DROP VIEW VWOTOMATIKTEKRAREDENHASTAISLEMLISTESI
END
go

CREATE VIEW VWOTOMATIKTEKRAREDENHASTAISLEMLISTESI
AS
SELECT /*Row_number() over(PARTITION BY REFERANSANADOSYAID order by ReferansDosya) SNO,*/ ReferansDosya,REFERANSANADOSYAID,REFERANSDOSYAID,REFERANSANADOSYATARIHI,HDTEKLIF,HDOSYAID,HKIMLIKID,HDTARIH,
       HDKAPALI,HDKTARIH,HDACIKLAMA,BOLUMID,DRID,HKCARIID,HDYATIYOR,DOVIZKODU,KYTARIH,KYKULLANICI,SGKULLANICI,SGTARIH,SUBEID  FROM 
(
	SELECT '1' ReferansDosya,REFERANSDOSYAID REFERANSANADOSYAID,HD.HDTARIH REFERANSANADOSYATARIHI,HDOSYA.* 
	                  FROM HDOSYA INNER JOIN (SELECT HDTARIH,HDOSYAID HDHDOSYAID FROM HDOSYA WHERE  HDIPTAL=0) HD ON HDHDOSYAID=HDOSYA.REFERANSDOSYAID   
	WHERE  HDIPTAL=0 AND REFERANSDOSYAID IS NOT NULL
	
	UNION ALL
	
	SELECT '0' ReferansDosya,HDOSYAID REFERANSDOSYAIDN,HDTARIH REFERANSDOSYATARIHI,* FROM HDOSYA H 
	WHERE HDIPTAL=0 AND REFERANSDOSYAID IS  NULL AND EXISTS (SELECT * FROM HDOSYA HH WHERE  HDIPTAL=0 AND REFERANSDOSYAID IS NOT NULL AND HH.REFERANSDOSYAID=H.HDOSYAID)
) AS T
--ORDER BY REFERANSANADOSYAID,ReferansDosya

